Summary: tcl, tk, tix, tclX, and expect
Name: tcltk
Version: 7.6_4.2
Release: 3
Source0: ftp.smli.com:/pub/tcl/tcl7.6p2.tar.gz
Source1: ftp.smli.com:/pub/tcl/tk4.2p2.tar.gz
Source2: ftp.cme.nist.gov:/pub/expect/expect.tar.gz
Source3: ftp.neosoft.com:/pub/tcl/tclx-distrib/tclX7.6.0.tar.gz
Source4: ftp.xpi.com:/pub/ioi/Tix4.1.0.tar.gz
Copyright: BSD
Group: Development/Languages/Tcl
Patch1: tk4.1-misc.patch
Patch2: tclX7.6.0b2-misc.patch
Patch4: expect-5.22-instroot.patch
Patch5: tclX7.6.0-ieee.patch
Patch6: Tix4.1-instroot.patch
Patch7: tcl7.6-foobar.patch
BuildRoot: /tmp/tclroot

%description
Source package for tcl, tk, tix, tclX, and expect. The binary packages
include descriptions of the functionality provided by each portion
of this package.

%package -n tcl
Version: 7.6pl2
Summary: Tool Command Language version 7.4, with shared libraries
Group: Development/Languages/Tcl

%description -n tcl
TCL is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. TCL is very popular for writing small graphical applications
because of the TK widget set which is closely tied to it.

%package -n tk
Version: 4.2pl2
Summary: Tk toolkit for Tcl, version 4.1, with shared libraries
Group: Development/Languages/Tcl

%description -n tk
Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%package -n expect
Summary: tcl extension to allow interaction between programs and scripts
Group: Development/Languages/Tcl
Version: 5.22

%description -n expect
Expect is a tool for automating interactive applications such as
telnet, ftp, passwd, fsck, rlogin, tip, etc. It makes it easy for a
script to control another program and interact with it.

%package -n tclx
Summary: extensions to tcl and tk for POSIX systems
Group: Development/Languages/Tcl
Version: 7.6.0rel

%description -n tclx
TclX is a set of extensions to make it more suitable for common Unix
programming tasks. It adds or enhances support for files, network access,
debugging, math, lists, and message catalogs. It can be used with both
tcl and tcl/tk applications.

%package -n tix 
Summary: many metawidgets (such as notepads) for tk
Group: Development/Languages/Tcl
Version: 4.1.0rel

%description -n tix
Tix is a add on for the tk widget set which adds many complex widgets which
are built from tk building blocks. The extra widgets include combo box,
file selection, notebooks, paned windows, spin controls, and hierarchical
list boxes.

%prep

%setup -c -a 1 -a 2 -a 3 -a 4

cd tk4.2
%patch1 -p1
cd ..

%patch2 -p0
%patch4 -p0
%patch6 -p0
%patch7 -p0

%ifarch alpha
%patch5 -p0
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

%build

# make the libraries reentrant
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_REENTRANT"

#
# Tcl
#
cd tcl7.6/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --enable-gcc
make
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf libtcl7.6.so $RPM_BUILD_ROOT/usr/lib/libtcl.so
ln -sf tclsh7.6 $RPM_BUILD_ROOT/usr/bin/tclsh
cd ../..

#
# Tk
#
cd tk4.2/unix
./configure --prefix=/usr --enable-shared --enable-gcc
make CFLAGS="$RPM_OPT_FLAGS"
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf libtk4.2.so $RPM_BUILD_ROOT/usr/lib/libtk.so
ln -sf wish4.2 $RPM_BUILD_ROOT/usr/bin/wish
cd ../..

#
# tclX
#
cd tclX7.6.0/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make
cd ../..

#
# Expect
#
cd expect-5.22
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-gcc --enable-shared --prefix=/usr
make
cd ..

#
# Tix
#
cd Tix4.1.0/unix
./configure --prefix=/usr --disable-cdemos --enable-shared
cd tk4.2
./configure --prefix=/usr --disable-cdemos --enable-shared
make
cd ../../..
%install

#
# Tcl and Tk get installed in the build section
#

#
# TclX
#
cd tclX7.6.0/unix
make INSTALL_ROOT=$RPM_BUILD_ROOT install
cd ../..
ln -sf libtkx.so.42.0 $RPM_BUILD_ROOT/usr/lib/libtkx.so
ln -sf libtclx.so.76.0 $RPM_BUILD_ROOT/usr/lib/libtclx.so

#
# Expect
#
cd expect-5.22
make INSTALL_ROOT=$RPM_BUILD_ROOT install
cd ..

#
# Tix
#
cd Tix4.1.0/unix
make INSTALL_ROOT=$RPM_BUILD_ROOT install
cd ../..
mv $RPM_BUILD_ROOT/usr/man/mann/tixwish.1 $RPM_BUILD_ROOT/usr/man/man1/tixwish.1
ln -sf libtix4.1.7.6.so $RPM_BUILD_ROOT/usr/lib/libtix.so

%post -n tcl
/sbin/ldconfig

%post -n tk
/sbin/ldconfig

%post -n expect
/sbin/ldconfig

%post -n tclx
/sbin/ldconfig

%post -n tix
/sbin/ldconfig

%postun -n tcl
/sbin/ldconfig

%postun -n tk
/sbin/ldconfig

%postun -n expect
/sbin/ldconfig

%postun -n tclx
/sbin/ldconfig

%postun -n tix
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n tcl
%dir /usr/lib/tcl7.6
/usr/lib/tcl7.6/init.tcl
/usr/lib/tcl7.6/ldAout.tcl
/usr/lib/tcl7.6/parray.tcl
/usr/lib/tcl7.6/tclIndex
/usr/lib/tcl7.6/tclAppInit.c
/usr/lib/libtcl7.6.so
/usr/lib/libtcl.so
/usr/lib/tclConfig.sh
/usr/bin/tclsh7.6
/usr/bin/tclsh
/usr/include/tcl.h
/usr/man/man1/tclsh.1
/usr/man/man3/AddErrInfo.3
/usr/man/man3/Alloc.3
/usr/man/man3/AllowExc.3
/usr/man/man3/AppInit.3
/usr/man/man3/AssocData.3
/usr/man/man3/Async.3
/usr/man/man3/BackgdErr.3
/usr/man/man3/Backslash.3
/usr/man/man3/CallDel.3
/usr/man/man3/CmdCmplt.3
/usr/man/man3/Concat.3
/usr/man/man3/CrtChannel.3
/usr/man/man3/CrtChnlHdlr.3
/usr/man/man3/CrtCloseHdlr.3
/usr/man/man3/CrtCommand.3
/usr/man/man3/CrtFileHdlr.3
/usr/man/man3/CrtInterp.3
/usr/man/man3/CrtMathFnc.3
/usr/man/man3/CrtModalTmt.3
/usr/man/man3/CrtSlave.3
/usr/man/man3/CrtTimerHdlr.3
/usr/man/man3/CrtTrace.3
/usr/man/man3/DString.3
/usr/man/man3/DetachPids.3
/usr/man/man3/DoOneEvent.3
/usr/man/man3/DoWhenIdle.3
/usr/man/man3/Eval.3
/usr/man/man3/Exit.3
/usr/man/man3/ExprLong.3
/usr/man/man3/FindExec.3
/usr/man/man3/GetFile.3
/usr/man/man3/GetInt.3
/usr/man/man3/GetOpnFl.3
/usr/man/man3/GetStdChan.3
/usr/man/man3/Hash.3
/usr/man/man3/Interp.3
/usr/man/man3/LinkVar.3
/usr/man/man3/Notifier.3
/usr/man/man3/OpenFileChnl.3
/usr/man/man3/OpenTcp.3
/usr/man/man3/PkgRequire.3
/usr/man/man3/Preserve.3
/usr/man/man3/PrintDbl.3
/usr/man/man3/RecordEval.3
/usr/man/man3/RegExp.3
/usr/man/man3/SetErrno.3
/usr/man/man3/SetRecLmt.3
/usr/man/man3/SetResult.3
/usr/man/man3/SetVar.3
/usr/man/man3/Sleep.3
/usr/man/man3/SplitList.3
/usr/man/man3/SplitPath.3
/usr/man/man3/StaticPkg.3
/usr/man/man3/StrMatch.3
/usr/man/man3/Tcl_AddErrorInfo.3
/usr/man/man3/Tcl_Alloc.3
/usr/man/man3/Tcl_AllowExceptions.3
/usr/man/man3/Tcl_AppInit.3
/usr/man/man3/Tcl_AppendElement.3
/usr/man/man3/Tcl_AppendResult.3
/usr/man/man3/Tcl_AsyncCreate.3
/usr/man/man3/Tcl_AsyncDelete.3
/usr/man/man3/Tcl_AsyncInvoke.3
/usr/man/man3/Tcl_AsyncMark.3
/usr/man/man3/Tcl_BackgroundError.3
/usr/man/man3/Tcl_Backslash.3
/usr/man/man3/Tcl_CallWhenDeleted.3
/usr/man/man3/Tcl_CancelIdleCall.3
/usr/man/man3/Tcl_Close.3
/usr/man/man3/Tcl_CommandComplete.3
/usr/man/man3/Tcl_Concat.3
/usr/man/man3/Tcl_ConvertElement.3
/usr/man/man3/Tcl_CreateAlias.3
/usr/man/man3/Tcl_CreateChannel.3
/usr/man/man3/Tcl_CreateChannelHandler.3
/usr/man/man3/Tcl_CreateCloseHandler.3
/usr/man/man3/Tcl_CreateCommand.3
/usr/man/man3/Tcl_CreateEventSource.3
/usr/man/man3/Tcl_CreateExitHandler.3
/usr/man/man3/Tcl_CreateFileHandler.3
/usr/man/man3/Tcl_CreateHashEntry.3
/usr/man/man3/Tcl_CreateInterp.3
/usr/man/man3/Tcl_CreateMathFunc.3
/usr/man/man3/Tcl_CreateModalTimeout.3
/usr/man/man3/Tcl_CreateSlave.3
/usr/man/man3/Tcl_CreateTimerHandler.3
/usr/man/man3/Tcl_CreateTrace.3
/usr/man/man3/Tcl_DStringAppend.3
/usr/man/man3/Tcl_DStringAppendElement.3
/usr/man/man3/Tcl_DStringEndSublist.3
/usr/man/man3/Tcl_DStringFree.3
/usr/man/man3/Tcl_DStringGetResult.3
/usr/man/man3/Tcl_DStringInit.3
/usr/man/man3/Tcl_DStringLength.3
/usr/man/man3/Tcl_DStringResult.3
/usr/man/man3/Tcl_DStringSetLength.3
/usr/man/man3/Tcl_DStringStartSublist.3
/usr/man/man3/Tcl_DStringValue.3
/usr/man/man3/Tcl_DeleteAssocData.3
/usr/man/man3/Tcl_DeleteChannelHandler.3
/usr/man/man3/Tcl_DeleteCloseHandler.3
/usr/man/man3/Tcl_DeleteCommand.3
/usr/man/man3/Tcl_DeleteEventSource.3
/usr/man/man3/Tcl_DeleteExitHandler.3
/usr/man/man3/Tcl_DeleteFileHandler.3
/usr/man/man3/Tcl_DeleteHashEntry.3
/usr/man/man3/Tcl_DeleteHashTable.3
/usr/man/man3/Tcl_DeleteInterp.3
/usr/man/man3/Tcl_DeleteModalTimeout.3
/usr/man/man3/Tcl_DeleteTimerHandler.3
/usr/man/man3/Tcl_DeleteTrace.3
/usr/man/man3/Tcl_DetachPids.3
/usr/man/man3/Tcl_DoOneEvent.3
/usr/man/man3/Tcl_DoWhenIdle.3
/usr/man/man3/Tcl_DontCallWhenDeleted.3
/usr/man/man3/Tcl_Eof.3
/usr/man/man3/Tcl_Eval.3
/usr/man/man3/Tcl_EvalFile.3
/usr/man/man3/Tcl_EventuallyFree.3
/usr/man/man3/Tcl_Exit.3
/usr/man/man3/Tcl_ExprBoolean.3
/usr/man/man3/Tcl_ExprDouble.3
/usr/man/man3/Tcl_ExprLong.3
/usr/man/man3/Tcl_ExprString.3
/usr/man/man3/Tcl_FileReady.3
/usr/man/man3/Tcl_FindExecutable.3
/usr/man/man3/Tcl_FindHashEntry.3
/usr/man/man3/Tcl_FirstHashEntry.3
/usr/man/man3/Tcl_Flush.3
/usr/man/man3/Tcl_Free.3
/usr/man/man3/Tcl_FreeFile.3
/usr/man/man3/Tcl_GetAlias.3
/usr/man/man3/Tcl_GetAliases.3
/usr/man/man3/Tcl_GetAssocData.3
/usr/man/man3/Tcl_GetBoolean.3
/usr/man/man3/Tcl_GetChannelBufferSize.3
/usr/man/man3/Tcl_GetChannelFile.3
/usr/man/man3/Tcl_GetChannelInstanceData.3
/usr/man/man3/Tcl_GetChannelMode.3
/usr/man/man3/Tcl_GetChannelName.3
/usr/man/man3/Tcl_GetChannelOption.3
/usr/man/man3/Tcl_GetChannelType.3
/usr/man/man3/Tcl_GetCommandInfo.3
/usr/man/man3/Tcl_GetDouble.3
/usr/man/man3/Tcl_GetErrno.3
/usr/man/man3/Tcl_GetFile.3
/usr/man/man3/Tcl_GetFileInfo.3
/usr/man/man3/Tcl_GetHashKey.3
/usr/man/man3/Tcl_GetHashValue.3
/usr/man/man3/Tcl_GetInt.3
/usr/man/man3/Tcl_GetMaster.3
/usr/man/man3/Tcl_GetOpenFile.3
/usr/man/man3/Tcl_GetPathType.3
/usr/man/man3/Tcl_GetSlave.3
/usr/man/man3/Tcl_GetSlaves.3
/usr/man/man3/Tcl_GetStdChannel.3
/usr/man/man3/Tcl_GetVar.3
/usr/man/man3/Tcl_GetVar2.3
/usr/man/man3/Tcl_Gets.3
/usr/man/man3/Tcl_GlobalEval.3
/usr/man/man3/Tcl_HashStats.3
/usr/man/man3/Tcl_InitHashTable.3
/usr/man/man3/Tcl_InputBlocked.3
/usr/man/man3/Tcl_Interp.3
/usr/man/man3/Tcl_InterpDeleted.3
/usr/man/man3/Tcl_IsSafe.3
/usr/man/man3/Tcl_JoinPath.3
/usr/man/man3/Tcl_LinkVar.3
/usr/man/man3/Tcl_Main.3
/usr/man/man3/Tcl_MakeSafe.3
/usr/man/man3/Tcl_Merge.3
/usr/man/man3/Tcl_NextHashEntry.3
/usr/man/man3/Tcl_OpenCommandChannel.3
/usr/man/man3/Tcl_OpenFileChannel.3
/usr/man/man3/Tcl_OpenTcpClient.3
/usr/man/man3/Tcl_OpenTcpServer.3
/usr/man/man3/Tcl_PkgProvide.3
/usr/man/man3/Tcl_PkgRequire.3
/usr/man/man3/Tcl_PosixError.3
/usr/man/man3/Tcl_Preserve.3
/usr/man/man3/Tcl_PrintDouble.3
/usr/man/man3/Tcl_QueueEvent.3
/usr/man/man3/Tcl_Read.3
/usr/man/man3/Tcl_Realloc.3
/usr/man/man3/Tcl_ReapDetachedProcs.3
/usr/man/man3/Tcl_RecordAndEval.3
/usr/man/man3/Tcl_RegExpCompile.3
/usr/man/man3/Tcl_RegExpExec.3
/usr/man/man3/Tcl_RegExpMatch.3
/usr/man/man3/Tcl_RegExpRange.3
/usr/man/man3/Tcl_Release.3
/usr/man/man3/Tcl_ResetResult.3
/usr/man/man3/Tcl_ScanElement.3
/usr/man/man3/Tcl_Seek.3
/usr/man/man3/Tcl_SetAssocData.3
/usr/man/man3/Tcl_SetChannelBufferSize.3
/usr/man/man3/Tcl_SetChannelOption.3
/usr/man/man3/Tcl_SetCommandInfo.3
/usr/man/man3/Tcl_SetDefaultTranslation.3
/usr/man/man3/Tcl_SetErrno.3
/usr/man/man3/Tcl_SetErrorCode.3
/usr/man/man3/Tcl_SetHashValue.3
/usr/man/man3/Tcl_SetMaxBlockTime.3
/usr/man/man3/Tcl_SetRecursionLimit.3
/usr/man/man3/Tcl_SetResult.3
/usr/man/man3/Tcl_SetStdChannel.3
/usr/man/man3/Tcl_SetVar.3
/usr/man/man3/Tcl_SetVar2.3
/usr/man/man3/Tcl_Sleep.3
/usr/man/man3/Tcl_SplitList.3
/usr/man/man3/Tcl_SplitPath.3
/usr/man/man3/Tcl_StaticPackage.3
/usr/man/man3/Tcl_StringMatch.3
/usr/man/man3/Tcl_Tell.3
/usr/man/man3/Tcl_TraceVar.3
/usr/man/man3/Tcl_TraceVar2.3
/usr/man/man3/Tcl_TranslateFileName.3
/usr/man/man3/Tcl_UnlinkVar.3
/usr/man/man3/Tcl_UnsetVar.3
/usr/man/man3/Tcl_UnsetVar2.3
/usr/man/man3/Tcl_UntraceVar.3
/usr/man/man3/Tcl_UntraceVar2.3
/usr/man/man3/Tcl_UpVar.3
/usr/man/man3/Tcl_UpVar2.3
/usr/man/man3/Tcl_UpdateLinkedVar.3
/usr/man/man3/Tcl_VarEval.3
/usr/man/man3/Tcl_VarTraceInfo.3
/usr/man/man3/Tcl_VarTraceInfo2.3
/usr/man/man3/Tcl_WaitForEvent.3
/usr/man/man3/Tcl_WatchFile.3
/usr/man/man3/Tcl_Write.3
/usr/man/man3/TraceVar.3
/usr/man/man3/Translate.3
/usr/man/man3/UpVar.3
/usr/man/mann/Tcl.n
/usr/man/mann/after.n
/usr/man/mann/append.n
/usr/man/mann/array.n
/usr/man/mann/bgerror.n
/usr/man/mann/break.n
/usr/man/mann/case.n
/usr/man/mann/catch.n
/usr/man/mann/cd.n
/usr/man/mann/clock.n
/usr/man/mann/close.n
/usr/man/mann/concat.n
/usr/man/mann/continue.n
/usr/man/mann/eof.n
/usr/man/mann/error.n
/usr/man/mann/eval.n
/usr/man/mann/exec.n
/usr/man/mann/exit.n
/usr/man/mann/expr.n
/usr/man/mann/fblocked.n
/usr/man/mann/fconfigure.n
/usr/man/mann/file.n
/usr/man/mann/fileevent.n
/usr/man/mann/filename.n
/usr/man/mann/flush.n
/usr/man/mann/for.n
/usr/man/mann/foreach.n
/usr/man/mann/format.n
/usr/man/mann/gets.n
/usr/man/mann/glob.n
/usr/man/mann/global.n
/usr/man/mann/history.n
/usr/man/mann/if.n
/usr/man/mann/incr.n
/usr/man/mann/info.n
/usr/man/mann/interp.n
/usr/man/mann/join.n
/usr/man/mann/lappend.n
/usr/man/mann/library.n
/usr/man/mann/lindex.n
/usr/man/mann/linsert.n
/usr/man/mann/list.n
/usr/man/mann/llength.n
/usr/man/mann/load.n
/usr/man/mann/lrange.n
/usr/man/mann/lreplace.n
/usr/man/mann/lsearch.n
/usr/man/mann/lsort.n
/usr/man/mann/open.n
/usr/man/mann/package.n
/usr/man/mann/pid.n
/usr/man/mann/pkgMkIndex.n
/usr/man/mann/pkg_mkIndex.n
/usr/man/mann/proc.n
/usr/man/mann/puts.n
/usr/man/mann/pwd.n
/usr/man/mann/read.n
/usr/man/mann/regexp.n
/usr/man/mann/regsub.n
/usr/man/mann/rename.n
/usr/man/mann/return.n
/usr/man/mann/scan.n
/usr/man/mann/seek.n
/usr/man/mann/set.n
/usr/man/mann/socket.n
/usr/man/mann/source.n
/usr/man/mann/split.n
/usr/man/mann/string.n
/usr/man/mann/subst.n
/usr/man/mann/switch.n
/usr/man/mann/tclvars.n
/usr/man/mann/tell.n
/usr/man/mann/time.n
/usr/man/mann/trace.n
/usr/man/mann/unknown.n
/usr/man/mann/unset.n
/usr/man/mann/update.n
/usr/man/mann/uplevel.n
/usr/man/mann/upvar.n
/usr/man/mann/vwait.n
/usr/man/mann/while.n

%files -n tk
/usr/lib/tk4.2
/usr/lib/libtk4.2.so
/usr/lib/libtk.so
/usr/lib/tkConfig.sh
/usr/bin/wish4.2
/usr/bin/wish
/usr/include/tk.h
/usr/man/man1/wish.1
/usr/man/man3/3DBorder.3
/usr/man/man3/BindTable.3
/usr/man/man3/CanvPsY.3
/usr/man/man3/CanvTkwin.3
/usr/man/man3/CanvTxtInfo.3
/usr/man/man3/Clipboard.3
/usr/man/man3/ClrSelect.3
/usr/man/man3/ConfigWidg.3
/usr/man/man3/ConfigWind.3
/usr/man/man3/CoordToWin.3
/usr/man/man3/CrtErrHdlr.3
/usr/man/man3/CrtGenHdlr.3
/usr/man/man3/CrtImgType.3
/usr/man/man3/CrtItemType.3
/usr/man/man3/CrtPhImgFmt.3
/usr/man/man3/CrtSelHdlr.3
/usr/man/man3/DeleteImg.3
/usr/man/man3/DrawFocHlt.3
/usr/man/man3/EventHndlr.3
/usr/man/man3/FindPhoto.3
/usr/man/man3/FreeXId.3
/usr/man/man3/GeomReq.3
/usr/man/man3/GetAnchor.3
/usr/man/man3/GetBitmap.3
/usr/man/man3/GetCapStyl.3
/usr/man/man3/GetClrmap.3
/usr/man/man3/GetColor.3
/usr/man/man3/GetCursor.3
/usr/man/man3/GetFontStr.3
/usr/man/man3/GetGC.3
/usr/man/man3/GetImage.3
/usr/man/man3/GetJoinStl.3
/usr/man/man3/GetJustify.3
/usr/man/man3/GetOption.3
/usr/man/man3/GetPixels.3
/usr/man/man3/GetPixmap.3
/usr/man/man3/GetRelief.3
/usr/man/man3/GetRootCrd.3
/usr/man/man3/GetScroll.3
/usr/man/man3/GetSelect.3
/usr/man/man3/GetUid.3
/usr/man/man3/GetVRoot.3
/usr/man/man3/GetVisual.3
/usr/man/man3/HandleEvent.3
/usr/man/man3/IdToWindow.3
/usr/man/man3/ImgChanged.3
/usr/man/man3/InternAtom.3
/usr/man/man3/MainLoop.3
/usr/man/man3/MainWin.3
/usr/man/man3/MaintGeom.3
/usr/man/man3/ManageGeom.3
/usr/man/man3/MapWindow.3
/usr/man/man3/MoveToplev.3
/usr/man/man3/Name.3
/usr/man/man3/NameOfImg.3
/usr/man/man3/OwnSelect.3
/usr/man/man3/ParseArgv.3
/usr/man/man3/QWinEvent.3
/usr/man/man3/Restack.3
/usr/man/man3/RestrictEv.3
/usr/man/man3/SetAppName.3
/usr/man/man3/SetClass.3
/usr/man/man3/SetGrid.3
/usr/man/man3/SetVisual.3
/usr/man/man3/StrictMotif.3
/usr/man/man3/Tk_3DBorderColor.3
/usr/man/man3/Tk_3DBorderGC.3
/usr/man/man3/Tk_3DHorizontalBevel.3
/usr/man/man3/Tk_3DVerticalBevel.3
/usr/man/man3/Tk_Attributes.3
/usr/man/man3/Tk_BindEvent.3
/usr/man/man3/Tk_CanvasDrawableCoords.3
/usr/man/man3/Tk_CanvasEventuallyRedraw.3
/usr/man/man3/Tk_CanvasGetCoord.3
/usr/man/man3/Tk_CanvasPsBitmap.3
/usr/man/man3/Tk_CanvasPsColor.3
/usr/man/man3/Tk_CanvasPsFont.3
/usr/man/man3/Tk_CanvasPsPath.3
/usr/man/man3/Tk_CanvasPsStipple.3
/usr/man/man3/Tk_CanvasPsY.3
/usr/man/man3/Tk_CanvasSetStippleOrigin.3
/usr/man/man3/Tk_CanvasTagsOption.3
/usr/man/man3/Tk_CanvasTextInfo.3
/usr/man/man3/Tk_CanvasTkwin.3
/usr/man/man3/Tk_CanvasWindowCoords.3
/usr/man/man3/Tk_ChangeWindowAttributes.3
/usr/man/man3/Tk_Changes.3
/usr/man/man3/Tk_Class.3
/usr/man/man3/Tk_ClearSelection.3
/usr/man/man3/Tk_ClipboardAppend.3
/usr/man/man3/Tk_ClipboardClear.3
/usr/man/man3/Tk_Colormap.3
/usr/man/man3/Tk_ConfigureInfo.3
/usr/man/man3/Tk_ConfigureValue.3
/usr/man/man3/Tk_ConfigureWidget.3
/usr/man/man3/Tk_ConfigureWindow.3
/usr/man/man3/Tk_CoordsToWindow.3
/usr/man/man3/Tk_CreateBinding.3
/usr/man/man3/Tk_CreateBindingTable.3
/usr/man/man3/Tk_CreateErrorHandler.3
/usr/man/man3/Tk_CreateEventHandler.3
/usr/man/man3/Tk_CreateGenericHandler.3
/usr/man/man3/Tk_CreateImageType.3
/usr/man/man3/Tk_CreateItemType.3
/usr/man/man3/Tk_CreatePhotoImageFormat.3
/usr/man/man3/Tk_CreateSelHandler.3
/usr/man/man3/Tk_DefineBitmap.3
/usr/man/man3/Tk_DefineCursor.3
/usr/man/man3/Tk_DeleteAllBindings.3
/usr/man/man3/Tk_DeleteBinding.3
/usr/man/man3/Tk_DeleteBindingTable.3
/usr/man/man3/Tk_DeleteErrorHandler.3
/usr/man/man3/Tk_DeleteEventHandler.3
/usr/man/man3/Tk_DeleteGenericHandler.3
/usr/man/man3/Tk_DeleteImage.3
/usr/man/man3/Tk_DeleteSelHandler.3
/usr/man/man3/Tk_Depth.3
/usr/man/man3/Tk_Display.3
/usr/man/man3/Tk_DisplayName.3
/usr/man/man3/Tk_Draw3DPolygon.3
/usr/man/man3/Tk_Draw3DRectangle.3
/usr/man/man3/Tk_DrawFocusHighlight.3
/usr/man/man3/Tk_Fill3DPolygon.3
/usr/man/man3/Tk_Fill3DRectangle.3
/usr/man/man3/Tk_FindPhoto.3
/usr/man/man3/Tk_Free3DBorder.3
/usr/man/man3/Tk_FreeBitmap.3
/usr/man/man3/Tk_FreeColor.3
/usr/man/man3/Tk_FreeColormap.3
/usr/man/man3/Tk_FreeCursor.3
/usr/man/man3/Tk_FreeFontStruct.3
/usr/man/man3/Tk_FreeGC.3
/usr/man/man3/Tk_FreeImage.3
/usr/man/man3/Tk_FreeOptions.3
/usr/man/man3/Tk_FreePixmap.3
/usr/man/man3/Tk_FreeXId.3
/usr/man/man3/Tk_GeometryRequest.3
/usr/man/man3/Tk_Get3DBorder.3
/usr/man/man3/Tk_GetAllBindings.3
/usr/man/man3/Tk_GetAnchor.3
/usr/man/man3/Tk_GetAtomName.3
/usr/man/man3/Tk_GetBinding.3
/usr/man/man3/Tk_GetBitmap.3
/usr/man/man3/Tk_GetBitmapFromData.3
/usr/man/man3/Tk_GetCapStyle.3
/usr/man/man3/Tk_GetColor.3
/usr/man/man3/Tk_GetColorByValue.3
/usr/man/man3/Tk_GetColormap.3
/usr/man/man3/Tk_GetCursor.3
/usr/man/man3/Tk_GetCursorFromData.3
/usr/man/man3/Tk_GetFontStruct.3
/usr/man/man3/Tk_GetGC.3
/usr/man/man3/Tk_GetImage.3
/usr/man/man3/Tk_GetItemTypes.3
/usr/man/man3/Tk_GetJoinStyle.3
/usr/man/man3/Tk_GetJustify.3
/usr/man/man3/Tk_GetOption.3
/usr/man/man3/Tk_GetPixels.3
/usr/man/man3/Tk_GetPixmap.3
/usr/man/man3/Tk_GetRelief.3
/usr/man/man3/Tk_GetRootCoords.3
/usr/man/man3/Tk_GetScreenMM.3
/usr/man/man3/Tk_GetScrollInfo.3
/usr/man/man3/Tk_GetSelection.3
/usr/man/man3/Tk_GetUid.3
/usr/man/man3/Tk_GetVRootGeometry.3
/usr/man/man3/Tk_GetVisual.3
/usr/man/man3/Tk_HandleEvent.3
/usr/man/man3/Tk_Height.3
/usr/man/man3/Tk_IdToWindow.3
/usr/man/man3/Tk_ImageChanged.3
/usr/man/man3/Tk_Init.3
/usr/man/man3/Tk_InternAtom.3
/usr/man/man3/Tk_InternalBorderWidth.3
/usr/man/man3/Tk_IsMapped.3
/usr/man/man3/Tk_IsTopLevel.3
/usr/man/man3/Tk_Main.3
/usr/man/man3/Tk_MainLoop.3
/usr/man/man3/Tk_MainWindow.3
/usr/man/man3/Tk_MaintainGeometry.3
/usr/man/man3/Tk_ManageGeometry.3
/usr/man/man3/Tk_MapWindow.3
/usr/man/man3/Tk_MoveResizeWindow.3
/usr/man/man3/Tk_MoveToplevelWindow.3
/usr/man/man3/Tk_MoveWindow.3
/usr/man/man3/Tk_Name.3
/usr/man/man3/Tk_NameOf3DBorder.3
/usr/man/man3/Tk_NameOfAnchor.3
/usr/man/man3/Tk_NameOfBitmap.3
/usr/man/man3/Tk_NameOfCapStyle.3
/usr/man/man3/Tk_NameOfColor.3
/usr/man/man3/Tk_NameOfCursor.3
/usr/man/man3/Tk_NameOfFontStruct.3
/usr/man/man3/Tk_NameOfImage.3
/usr/man/man3/Tk_NameOfJoinStyle.3
/usr/man/man3/Tk_NameOfJustify.3
/usr/man/man3/Tk_NameOfRelief.3
/usr/man/man3/Tk_NameToWindow.3
/usr/man/man3/Tk_Offset.3
/usr/man/man3/Tk_OwnSelection.3
/usr/man/man3/Tk_Parent.3
/usr/man/man3/Tk_ParseArgv.3
/usr/man/man3/Tk_PathName.3
/usr/man/man3/Tk_PhotoBlank.3
/usr/man/man3/Tk_PhotoExpand.3
/usr/man/man3/Tk_PhotoGetImage.3
/usr/man/man3/Tk_PhotoGetSize.3
/usr/man/man3/Tk_PhotoPutBlock.3
/usr/man/man3/Tk_PhotoPutZoomedBlock.3
/usr/man/man3/Tk_PhotoSetSize.3
/usr/man/man3/Tk_QueueWindowEvent.3
/usr/man/man3/Tk_RedrawImage.3
/usr/man/man3/Tk_ReqHeight.3
/usr/man/man3/Tk_ReqWidth.3
/usr/man/man3/Tk_ResizeWindow.3
/usr/man/man3/Tk_RestackWindow.3
/usr/man/man3/Tk_RestrictEvents.3
/usr/man/man3/Tk_Screen.3
/usr/man/man3/Tk_ScreenNumber.3
/usr/man/man3/Tk_SetAppName.3
/usr/man/man3/Tk_SetBackgroundFromBorder.3
/usr/man/man3/Tk_SetClass.3
/usr/man/man3/Tk_SetGrid.3
/usr/man/man3/Tk_SetInternalBorder.3
/usr/man/man3/Tk_SetWindowBackground.3
/usr/man/man3/Tk_SetWindowBackgroundPixmap.3
/usr/man/man3/Tk_SetWindowBorder.3
/usr/man/man3/Tk_SetWindowBorderPixmap.3
/usr/man/man3/Tk_SetWindowBorderWidth.3
/usr/man/man3/Tk_SetWindowColormap.3
/usr/man/man3/Tk_SetWindowVisual.3
/usr/man/man3/Tk_SizeOfBitmap.3
/usr/man/man3/Tk_SizeOfImage.3
/usr/man/man3/Tk_StrictMotif.3
/usr/man/man3/Tk_Uid.3
/usr/man/man3/Tk_UndefineCursor.3
/usr/man/man3/Tk_UnmaintainGeometry.3
/usr/man/man3/Tk_UnmapWindow.3
/usr/man/man3/Tk_UnsetGrid.3
/usr/man/man3/Tk_Visual.3
/usr/man/man3/Tk_Width.3
/usr/man/man3/Tk_WindowId.3
/usr/man/man3/Tk_X.3
/usr/man/man3/Tk_Y.3
/usr/man/man3/WindowId.3
/usr/man/mann/bell.n
/usr/man/mann/bind.n
/usr/man/mann/bindtags.n
/usr/man/mann/bitmap.n
/usr/man/mann/button.n
/usr/man/mann/canvas.n
/usr/man/mann/checkbutton.n
/usr/man/mann/chooseColor.n
/usr/man/mann/clipboard.n
/usr/man/mann/destroy.n
/usr/man/mann/dialog.n
/usr/man/mann/entry.n
/usr/man/mann/event.n
/usr/man/mann/focus.n
/usr/man/mann/focusNext.n
/usr/man/mann/frame.n
/usr/man/mann/getOpenFile.n
/usr/man/mann/grab.n
/usr/man/mann/grid.n
/usr/man/mann/image.n
/usr/man/mann/label.n
/usr/man/mann/listbox.n
/usr/man/mann/lower.n
/usr/man/mann/menu.n
/usr/man/mann/menubar.n
/usr/man/mann/menubutton.n
/usr/man/mann/message.n
/usr/man/mann/messageBox.n
/usr/man/mann/option.n
/usr/man/mann/optionMenu.n
/usr/man/mann/options.n
/usr/man/mann/pack-old.n
/usr/man/mann/pack.n
/usr/man/mann/palette.n
/usr/man/mann/photo.n
/usr/man/mann/place.n
/usr/man/mann/popup.n
/usr/man/mann/radiobutton.n
/usr/man/mann/raise.n
/usr/man/mann/scale.n
/usr/man/mann/scrollbar.n
/usr/man/mann/selection.n
/usr/man/mann/send.n
/usr/man/mann/text.n
/usr/man/mann/tk.n
/usr/man/mann/tk_bindForTraversal.n
/usr/man/mann/tk_bisque.n
/usr/man/mann/tk_chooseColor.n
/usr/man/mann/tk_dialog.n
/usr/man/mann/tk_focusFollowsMouse.n
/usr/man/mann/tk_focusNext.n
/usr/man/mann/tk_focusPrev.n
/usr/man/mann/tk_getOpenFile.n
/usr/man/mann/tk_getSaveFile.n
/usr/man/mann/tk_menuBar.n
/usr/man/mann/tk_messageBox.n
/usr/man/mann/tk_optionMenu.n
/usr/man/mann/tk_popup.n
/usr/man/mann/tk_setPalette.n
/usr/man/mann/tkerror.n
/usr/man/mann/tkvars.n
/usr/man/mann/tkwait.n
/usr/man/mann/toplevel.n
/usr/man/mann/winfo.n
/usr/man/mann/wm.n

%files -n tclx
/usr/lib/tclX7.6.0
/usr/lib/tkX4.2.0
/usr/lib/libtclx7.6.0.a
/usr/lib/libtclx7.6.0.so
/usr/lib/libtclx.so
/usr/lib/tclxConfig.sh
/usr/lib/libtkx4.2.0.a
/usr/lib/libtkx4.2.0.so
/usr/lib/tkxConfig.sh
/usr/bin/tcl
/usr/bin/wishx
/usr/bin/tclhelp
/usr/include/tclExtend.h
/usr/man/man3/TclCommandWriting.3
/usr/man/man3/TclX_Main.3
/usr/man/man3/Tcl_DeleteKeyedListField.3
/usr/man/man3/Tcl_GetKeyedListField.3
/usr/man/man3/Tcl_GetKeyedListKeys.3
/usr/man/man3/Tcl_HandleAlloc.3
/usr/man/man3/Tcl_HandleFree.3
/usr/man/man3/Tcl_HandleTblInit.3
/usr/man/man3/Tcl_HandleTblRelease.3
/usr/man/man3/Tcl_HandleTblUseCount.3
/usr/man/man3/Tcl_HandleWalk.3
/usr/man/man3/Tcl_HandleXlate.3
/usr/man/man3/Tcl_SetKeyedListField.3
/usr/man/man3/Tclx_Init.3
/usr/man/man3/Tclxcmd_Init.3
/usr/man/man3/TkX_Main.3
/usr/man/man3/Tkx_Init.3
/usr/man/mann/TclX.n
/usr/man/mann/Tcl_DisplayMemory.n
/usr/man/mann/Tcl_InitMemory.n
/usr/man/mann/Tcl_ValidateAllMemory.n
/usr/man/mann/ckalloc.n
/usr/man/mann/ckfree.n
/usr/man/mann/memory.n

%files -n tix
/usr/lib/tix4.1
/usr/lib/libtix4.1.7.6.so
/usr/lib/libtix.so
/usr/include/tix.h
/usr/man/man1/tixwish.1
/usr/man/mann/Balloon.n
/usr/man/mann/BtnBox.n
/usr/man/mann/ChkList.n
/usr/man/mann/ComboBox.n
/usr/man/mann/Control.n
/usr/man/mann/DItem.n
/usr/man/mann/Destroy.n
/usr/man/mann/DirDlg.n
/usr/man/mann/DirList.n
/usr/man/mann/DirTree.n
/usr/man/mann/EFileBox.n
/usr/man/mann/EFileDlg.n
/usr/man/mann/FileBox.n
/usr/man/mann/FileDlg.n
/usr/man/mann/FileEnt.n
/usr/man/mann/Form.n
/usr/man/mann/GetBool.n
/usr/man/mann/GetInt.n
/usr/man/mann/Grid.n
/usr/man/mann/HList.n
/usr/man/mann/InpOnly.n
/usr/man/mann/LabEntry.n
/usr/man/mann/LabFrame.n
/usr/man/mann/ListNBK.n
/usr/man/mann/Meter.n
/usr/man/mann/Mwm.n
/usr/man/mann/NBFrame.n
/usr/man/mann/NoteBook.n
/usr/man/mann/OptMenu.n
/usr/man/mann/PanedWin.n
/usr/man/mann/PopMenu.n
/usr/man/mann/SHList.n
/usr/man/mann/SListBox.n
/usr/man/mann/SText.n
/usr/man/mann/SWindow.n
/usr/man/mann/Select.n
/usr/man/mann/StdBBox.n
/usr/man/mann/TList.n
/usr/man/mann/TixIntro.n
/usr/man/mann/Tree.n
/usr/man/mann/Utils.n
/usr/man/mann/Wm.n
/usr/man/mann/compound.n
/usr/man/mann/pixmap.n
/usr/man/mann/tix.n
/usr/bin/tixindex
/usr/bin/tixwish4.1.7.6

%files -n expect
/usr/lib/libexpect5.22.a
/usr/lib/libexpect5.22.so
/usr/lib/expect5.22
/usr/man/man1/autoexpect.1
/usr/man/man1/cryptdir.1
/usr/man/man1/decryptdir.1
/usr/man/man1/dislocate.1
/usr/man/man1/expect.1
/usr/man/man1/expectk.1
/usr/man/man1/kibitz.1
/usr/man/man1/mkpasswd.1
/usr/man/man1/passmass.1
/usr/man/man1/tknewsbiff.1
/usr/man/man1/unbuffer.1
/usr/man/man1/xkibitz.1
/usr/man/man3/libexpect.3

/usr/bin/expect
/usr/bin/expectk
/usr/bin/timed-run
/usr/bin/timed-read
/usr/bin/ftp-rfc
/usr/bin/autopasswd
/usr/bin/lpunlock
/usr/bin/weather
/usr/bin/passmass
/usr/bin/rftp
/usr/bin/kibitz
/usr/bin/rlogin-cwd
/usr/bin/xpstat
/usr/bin/tkpasswd
/usr/bin/dislocate
/usr/bin/xkibitz
/usr/bin/tknewsbiff
/usr/bin/unbuffer
/usr/bin/mkpasswd
/usr/bin/cryptdir
/usr/bin/decryptdir
/usr/bin/autoexpect
/usr/include/expect.h
/usr/include/expect_tcl.h
/usr/include/expect_comm.h
/usr/include/Dbg.h
